package bikerent.ui.controller;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.LocalTime;
import java.util.Map;

import bikerent.model.MyCalculator;
import bikerent.model.MyRent;
import bikerent.model.Rate;
import bikerent.model.Rent;
import bikerent.model.Calculator;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;

public class MyController implements Controller {
	private Map<String,Rate> mappaTariffe;
	private Calculator calculator;

	public MyController(Map<String, Rate> mappaTariffe) {
		this.mappaTariffe=mappaTariffe;
		calculator = new MyCalculator();
	}

	@Override
	public ObservableList<String> getCityNames() {
		return FXCollections.observableArrayList(mappaTariffe.keySet());
	}

	@Override
	public double getRentCost(String citta, LocalDate dataInizio, LocalTime oraInizio, LocalDate dataFine, LocalTime oraFine) {
		LocalDateTime inizioSosta = LocalDateTime.of(dataInizio, oraInizio);
		LocalDateTime fineSosta = LocalDateTime.of(dataFine, oraFine);
		Rate r = mappaTariffe.get(citta);
		Rent t = new MyRent(inizioSosta, fineSosta, r);
		return calculator.calc(r,t);
	}
	
}
